> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Updates the specified company.

PUT https://api.awork.com/api/v1/companies/{companyId}
Content-Type: application/json

Updates the specified company's name, description, and industry.The user must be an admin or have `company-master-data:write` permissions.

Reference: https://developers.awork.com/apiv1/companies/put-company-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `companyId` (string, required) — The id of the company to update.

### Body (application/json)

This endpoint expects a CompanyForm.

- `name` (string, required) — The company name.
- `description` (string, optional, nullable) — The company description.
- `industry` (string, optional, nullable) — The company's industry.

## Response

### 200

OK

- `name` (string, required) — The company name.
- `description` (string, optional, nullable) — The company description.
- `industry` (string, optional, nullable) — The company's industry.
- `id` (string, optional) — The id of the company.
- `hasImage` (boolean, optional) — Whether the company has an image.
- `companyContactInfos` (list of ContactInfoForCompanies, optional, nullable) — The company infos assigned to this company.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.
- `resourceVersion` (long, optional) — The version of the entity, updated on every modification, to the ticks in UTC. Not identical to UpdatedOn.
- `tags` (list of CompanyTagModel, optional, nullable) — The tags for this company.
- `projectsCount` (integer, optional) — The number of all projects related to the company.
- `projectsInProgressCount` (integer, optional) — The number of all projects in status 'progress' related to the company.
- `isExternal` (boolean, optional) — True if this entity is coming from an external workspace (awork Connect).

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, required) — The error code.
- `description` (string, required) — The description of the error.
- `link` (string, required) — The link to the API documentation page.
- `details` (list of string, optional, nullable) — A list of details describing the error.
- `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property.
- `traceId` (string, optional, nullable) — The request trace id for tracking the request.

## Types

### ContactInfoForCompanies

The contact info are different types of contact information for a company

- `type` (string, required) — The type of the contact info. Possible values are: 'phone', 'email', 'address', 'url', 'custom'.
- `label` (string, optional, nullable) — The label of the contact info. Only necessary if type 'custom' is used.
- `value` (string, optional, nullable) — The value of the contact info.
- `subType` (string, optional, nullable) — The subtype of the contact info. Required for all types except 'custom'. Possible values are: phone: [ 'central', 'other' ] email: [ 'central', 'invoice', 'other' ] address: [ 'central', 'invoice', 'other' ] url: [ 'primary', 'other' ]
- `addressLine1` (string, optional, nullable) — The first address line of the contact info.
- `addressLine2` (string, optional, nullable) — The second address line of the contact info.
- `zipCode` (string, optional, nullable) — The zipcode of the contact info.
- `city` (string, optional, nullable) — The city of the contact info.
- `state` (string, optional, nullable) — The state of the contact info.
- `country` (string, optional, nullable) — The 2 letter iso code of the country.
- `isAddress` (boolean, optional) — Flags whether this contact info is an address. If it's an address, the address fields are required.
- `id` (string, optional) — The Id of the contact info.
- `createdOn` (string, optional) — The date this entity was created.
- `createdBy` (string, optional) — The id of the user who created this entity.
- `updatedOn` (string, optional) — The date this entity was last modified.
- `updatedBy` (string, optional) — The id of the user who last modified this entity.

### CompanyTagModel

A tag model used for the company. Do not delete, we need to create copies of the tag model for each entity to avoid issues with Automapper.

- `id` (string, optional)
- `name` (string, optional, nullable) — The name of the tag.
- `color` (string, optional, nullable) — The color of the tag.

### ValidationErrorResponse

The validation error response.

- `property` (string, optional, nullable) — The name of the property that failed validation.
- `message` (string, optional, nullable) — The reason why this property failed validation.

## Examples

**Request**

```json
{
  "name": "NCNSTN Brand Design"
}
```

**Response**

```json
{
  "name": "NCNSTN Brand Design",
  "description": "A small agency with a team of around 20 people, located in the heart of Berlin",
  "industry": "Brand Agency",
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "hasImage": true,
  "companyContactInfos": [
    {
      "type": "address",
      "label": "string",
      "value": "string",
      "subType": "central",
      "addressLine1": "Torstrasse 140",
      "addressLine2": "Hof A",
      "zipCode": "10119",
      "city": "Berlin",
      "state": "string",
      "country": "DE",
      "isAddress": true,
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdOn": "2024-01-15T09:30:00Z",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedOn": "2024-01-15T09:30:00Z",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "createdOn": "2024-01-15T09:30:00Z",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedOn": "2024-01-15T09:30:00Z",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "resourceVersion": 637825154598057900,
  "tags": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "Design",
      "color": "purple"
    }
  ],
  "projectsCount": 3,
  "projectsInProgressCount": 2,
  "isExternal": true
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/companies/companyId"

payload = { "name": "NCNSTN Brand Design" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/companies/companyId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"NCNSTN Brand Design"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/companies/companyId"

	payload := strings.NewReader("{\n  \"name\": \"NCNSTN Brand Design\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/companies/companyId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"NCNSTN Brand Design\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.awork.com/api/v1/companies/companyId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"NCNSTN Brand Design\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.awork.com/api/v1/companies/companyId', [
  'body' => '{
  "name": "NCNSTN Brand Design"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/companies/companyId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"NCNSTN Brand Design\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["name": "NCNSTN Brand Design"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/companies/companyId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```